#!/usr/bin/perl

#borderline tests

if ( $#ARGV < 0 ) { die "Usage: $0 <path> [<seed>]\n"; }
$Path = $ARGV[0];
if ( $#ARGV > 0 ) { srand ( $ARGV[1] ); } else { srand ( 0 ); }

$a  = int ( rand ( 30 ) + 4 );
$b  = int ( rand ( 30 ) + 4 );
$c0 = $a + $b;
$c1 = $c0 - 0.001;
$c2 = $c0 + 0.001;

$mul = sprintf ( "%.3f", 0.9 * rand () + 0.1 );

@Val = ( $a, $b, $c0,
         $b, $a, $c0,
         $a, $c0, $b,
         $b, $c0, $a,
         $c0, $a, $b,
         $c0, $b, $a,

         $a, $b, $c1,
         $b, $a, $c1,
         $a, $c1, $b,
         $b, $c1, $a,
         $c1, $a, $b,
         $c1, $b, $a,

         $a, $b, $c2,
         $b, $a, $c2,
         $a, $c2, $b,
         $b, $c2, $a,
         $c2, $a, $b,
         $c2, $b, $a,

         $mul * 1.1, $mul * 6.0, $mul * 6.1,
         $mul * 6.0, $mul * 6.1, $mul * 1.1,
         $mul * 6.1, $mul * 1.1, $mul * 6.0,
         $mul * 1.2, $mul * 3.5, $mul * 3.7,
         $mul * 3.5, $mul * 3.7, $mul * 1.2,
         $mul * 3.7, $mul * 1.2, $mul * 3.5,
         $mul * 0.7, $mul * 2.4, $mul * 2.5,
         $mul * 2.4, $mul * 2.5, $mul * 0.7,
         $mul * 2.5, $mul * 0.7, $mul * 2.4,
         
         $mul."e-50", $mul."e-50", $mul."e-50"
          );

for ( $i = 0; $i <= $#Val ; $i += 3 )
 {
   open ( OUT, ">".$Path."/". sprintf ( "%04d", $i / 3 ) ) or die "Cannot write file";
   printf OUT "%g %g %g\n", $Val[$i], $Val[$i+1], $Val[$i+2];
   close ( OUT );
 }

